Debian Bug report logs - #596572
Please allow IPv6 addresses in manual configuration.

version graph

Package: netcfg; Maintainer for netcfg is Debian Install System Team <debian-boot@lists.debian.org>; Source for netcfg is src:netcfg.

Reported by: Tanu Kaskinen <tanuk@iki.fi>

Date: Sun, 12 Sep 2010 17:15:02 UTC

Severity: wishlist

Tags: d-i, ipv6

Merged with 231003, 509201, 650529

Found in version 0.01

Fixed in version netcfg/1.90

Done: Philipp Kern <pkern@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, tanuk@iki.fi, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#596572; Package debian-installer. (Sun, 12 Sep 2010 17:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanu Kaskinen <tanuk@iki.fi>:
New Bug report received and forwarded. Copy sent to tanuk@iki.fi, Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 12 Sep 2010 17:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tanu Kaskinen <tanuk@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-installer: Manual network configuration doesn't allow IPv6 addresses
Date: Sun, 12 Sep 2010 20:11:04 +0300
Package: debian-installer
Severity: normal
Tags: d-i ipv6

In the graphical installer (I haven't tried the non-graphical version), when
configuring the network manually, the installer first asks the IP address. The
instructions say "the IP address is unique to your computer and consists of
four numbers separated by periods". That sounds like IPv6 addresses aren't
supported, but I tried entering an IPv6 address anyway.

The result was an error: "Malformed IP address - The IP address you provided
is malformed. It should be in the form x.x.x.x where each 'x' is no larger
than 255. Please try again."

This obviously isn't very nice if the machine happens to be in an IPv6-only
environment.

I'm installing from an USB stick using d-i's daily build. boot.img.gz is from
http://people.debian.org/~joeyh/d-i/images/daily/hd-media/boot.img.gz (last
modified: 12-Sep-2010 16:04) and the CD image is from
http://cdimage.debian.org/cdimage/daily-builds/daily/arch-latest/i386/iso-cd/debian-testing-i386-netinst.iso
(last modified: 12-Sep-2010 17:40).

-- 
Tanu Kaskinen

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#596572; Package debian-installer. (Sun, 12 Sep 2010 17:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 12 Sep 2010 17:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 596572@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Tanu Kaskinen <tanuk@iki.fi>, 596572@bugs.debian.org
Subject: Re: Bug#596572: debian-installer: Manual network configuration doesn't allow IPv6 addresses
Date: Sun, 12 Sep 2010 19:28:06 +0200
[Message part 1 (text/plain, inline)]
reassign 596572 netcfg
retitle 596572 Please allow IPv6 addresses in manual configuration.
thanks

Quoting Tanu Kaskinen (tanuk@iki.fi):
> Package: debian-installer
> Severity: normal
> Tags: d-i ipv6

Many thanks for your installation report and comments.

> 
> In the graphical installer (I haven't tried the non-graphical version), when
> configuring the network manually, the installer first asks the IP address. The
> instructions say "the IP address is unique to your computer and consists of
> four numbers separated by periods". That sounds like IPv6 addresses aren't
> supported, but I tried entering an IPv6 address anyway.
> 
> The result was an error: "Malformed IP address - The IP address you provided
> is malformed. It should be in the form x.x.x.x where each 'x' is no larger
> than 255. Please try again."
> 
> This obviously isn't very nice if the machine happens to be in an IPv6-only
> environment.

Sure. Patches welcomed..:-)

Please note that I very much doubt this can be enabled for squeeze
now, even if someone proposes a patch.

Reassigning to the relevant D-I component.


[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'debian-installer' to 'netcfg'. Request was from Christian PERRIER <bubulle@debian.org> to control@bugs.debian.org. (Sun, 12 Sep 2010 17:33:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'Please allow IPv6 addresses in manual configuration.' from 'debian-installer: Manual network configuration doesn't allow IPv6 addresses' Request was from Christian PERRIER <bubulle@debian.org> to control@bugs.debian.org. (Sun, 12 Sep 2010 17:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#596572; Package netcfg. (Sun, 12 Sep 2010 18:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanu Kaskinen <tanuk@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 12 Sep 2010 18:39:06 GMT) Full text and rfc822 format available.

Message #19 received at 596572@bugs.debian.org (full text, mbox):

From: Tanu Kaskinen <tanuk@iki.fi>
To: Christian PERRIER <bubulle@debian.org>
Cc: 596572@bugs.debian.org
Subject: Re: Bug#596572: debian-installer: Manual network configuration doesn't allow IPv6 addresses
Date: Sun, 12 Sep 2010 21:21:01 +0300
On Sun, 2010-09-12 at 19:28 +0200, Christian PERRIER wrote:
> reassign 596572 netcfg

Ah, I wasn't aware of that package. It already had #231003 - Should
include IPv6 support from the beginning. I guess my bug doesn't add much
value then, since you already knew that the installer isn't fully
IPv6-capable :)

> Patches welcomed..:-)

No doubt. Unfortunately, I don't have the motivation to try to fix this.
I was only pretending that I didn't have IPv4 connectivity.

-- 
Tanu Kaskinen





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#596572; Package netcfg. (Mon, 13 Sep 2010 06:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 13 Sep 2010 06:21:08 GMT) Full text and rfc822 format available.

Message #24 received at 596572@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Tanu Kaskinen <tanuk@iki.fi>, 596572@bugs.debian.org
Subject: Re: Bug#596572: debian-installer: Manual network configuration doesn't allow IPv6 addresses
Date: Mon, 13 Sep 2010 06:36:00 +0200
[Message part 1 (text/plain, inline)]
forcemerge 231003 596572
thanks

Quoting Tanu Kaskinen (tanuk@iki.fi):
> On Sun, 2010-09-12 at 19:28 +0200, Christian PERRIER wrote:
> > reassign 596572 netcfg
> 
> Ah, I wasn't aware of that package. It already had #231003 - Should

Yes, netcfg is one of (many) D-I components.

> include IPv6 support from the beginning. I guess my bug doesn't add much
> value then, since you already knew that the installer isn't fully
> IPv6-capable :)
> 
> > Patches welcomed..:-)
> 
> No doubt. Unfortunately, I don't have the motivation to try to fix this.
> I was only pretending that I didn't have IPv4 connectivity.


Sure. No problem with this, of course.

We unfortuunately are missing someone taking care to process netcfg
bug reports and wishlist requests. Neraly nothing happened in that
package during the lenny->squeeze release cycle.

(the fact that netcfg is one of the few d-i packages written in C
might be a reason...another being the surprisingly low number of
people now working on D-I)

Thanks for the hint about this wishlist already existing. That's
already some kind of help!


[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 231003 509201 596572. Request was from Christian PERRIER <bubulle@debian.org> to control@bugs.debian.org. (Mon, 13 Sep 2010 06:21:14 GMT) Full text and rfc822 format available.

Removed tag(s) help. Request was from Matthew Palmer <mpalmer@debian.org> to control@bugs.debian.org. (Fri, 21 Jan 2011 01:54:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 596572: 611330 Request was from Matthew Palmer <mpalmer@debian.org> to control@bugs.debian.org. (Sun, 30 Jan 2011 23:09:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 596572: 611870 Request was from Matthew Palmer <mpalmer@debian.org> to control@bugs.debian.org. (Thu, 03 Feb 2011 06:21:03 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:05 GMT) Full text and rfc822 format available.

Forcibly Merged 231003 509201 596572 650529. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Fri, 02 Dec 2011 17:03:15 GMT) Full text and rfc822 format available.

Message #37 received at 231003-close@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 231003-close@bugs.debian.org
Subject: Bug#231003: fixed in netcfg 1.90
Date: Mon, 17 Sep 2012 21:00:00 +0000
Source: netcfg
Source-Version: 1.90

We believe that the bug you reported is fixed in the latest version of
netcfg, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 231003@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philipp Kern <pkern@debian.org> (supplier of updated netcfg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 17 Sep 2012 19:32:30 +0200
Source: netcfg
Binary: netcfg netcfg-static
Architecture: source amd64
Version: 1.90
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Philipp Kern <pkern@debian.org>
Description: 
 netcfg     - Configure the network (udeb)
 netcfg-static - Configure a static network (udeb)
Closes: 231003
Changes: 
 netcfg (1.90) unstable; urgency=low
 .
   [ Philipp Kern ]
   * netcfg.h: drop ip6-localnet (obsolete)
   * netcfg.h: drop ip6-mcastprefix (no need for it to be in /etc/hosts)
   * netcfg-common.c (is_layer3_qeth): fix off-by-one, introduce a constant
 .
   * Fully support installation over IPv6. (Closes: #231003)
 .
   [ Matt Palmer ]
   * Pull NULL_IPADDRESS out into a global constant
   * Refactor out some program-global variables
   * Only flush address families we manage
   * Remove global variable netcfg_progress_displayed
   * Remove gateway from being a global var, and turn it into a string
   * Make nameserver_array a local, and an array of strings
   * Move the rest of the static-specific globals into functions
   * Convert all remaining in_addr variables to strings
   * Create and use a struct to store all network interface settings
   * Add test framework, and make inet_mton support AF_INET6
   * Add missing instructions to test/README
   * Add netcfg_parse_cidr_address to do protocol-independent address parsing
   * Add test/run to gitignore
   * Make a few more functions IPv6 aware
   * First working draft of IPv6 support
   * Support IPv6 netmasks, for people who like typing too much
   * Add ethtool-lite.o to test build objects, so things build
   * Don't run the test suite on package build
   * Make no_default_route take IPv6 into account
   * Make read_resolv_conf_nameservers handle IPv6 addresses
   * Detect and use autoconfigured IPv6 addresses (part 1)
   * SLAAC detection support in kFreeBSD
   * Add proper GPL header to ipv6.c
 .
   [ Colin Watson ]
   * Move wireless options into struct netcfg_interface
 .
   [ Matt Palmer ]
   * Refactor /etc/network/interfaces writing code
   * Obtain DNS resolvers via RA options
   * IPv6 support for using rDNS to preseed hostnames
   * Deal with stateless DHCPv6
   * Don't use wide-dhcpv6 on non-Linux arches
   * Use dhclient -6 to support stateless DHCP on FreeBSD
   * Fix the 'get default IPv6 route' command on freebsd
   * Modify the way that rdisc6 is called to make the progress bar more
     responsive
 .
   [ Colin Watson ]
   * Get DNS and search information when doing stateless DHCPv6
   * Stateful DHCPv6 support
   * Add dual-stack support
   * Kill stateless dhcp6c from netcfg rather than from print-dhcp6c-info
   * Select DHCPv6 client at run-time
   * Fix up test suite to pass again
   * Remove di_debug calls from signal handlers
   * Exit immediately if daemon() fails
   * Use a sentinel file to determine whether dhcp6c has finished
   * Fix dhclient DUID generation
   * Release isc-dhcp-client IPv6 leases at end of install
   * Remove usleep workaround in stop_rdnssd; avoiding the use of stdio in
     signal handlers should have fixed this
   * Make sure domain is empty if fgets fails
   * print-dhcpv6-info: Exit immediately if reason is not BOUND6, RENEW6, or
     REBIND6
   * Don't bother unlinking /var/lib/netcfg/dhcp6c-finished unless we're
     using dhcp6c
   * print-dhcpv6-info: Actually apply IPv6 address and resolv.conf entries
     received from the DHCPv6 server
   * Don't preseed IP addresses as hostnames
 .
   [ Philipp Kern ]
   * autoconfig.c: initialize getline's lineptr with NULL
   * ipv6.c: force stateless_config to 0 if stateful_config is set also
   * dhcp.c: fix dhcp_hostname handling
 .
   [ Christian Perrier ]
   * Style corrections to debconf templates. (Reviewed by Justin B Rye.)
Checksums-Sha1: 
 11d4391d64315fa5dcd0839e8b6d7c193fd00e8d 1478 netcfg_1.90.dsc
 19cb4d9cc3e3a3ebd67e9e09736695fb288b4d4d 700115 netcfg_1.90.tar.gz
 401d0bf9d685deb57cdb8de33cadc2733cb2e671 371994 netcfg_1.90_amd64.udeb
 008729285893ba1ce0868ed6837804b64530822c 285968 netcfg-static_1.90_amd64.udeb
Checksums-Sha256: 
 87c250404b6ff0816d60e6e3053f9d575df2f23decd3f8c168cf7324ff2ace15 1478 netcfg_1.90.dsc
 d1cef6173c4aa4359faf3cdb9dda28c84a60f9a7638111a1e1cf8b568c4d5b9c 700115 netcfg_1.90.tar.gz
 be2b2c3d44d0523496a42504a1723e2fa761f6a8f30ea624ddbef154d7006702 371994 netcfg_1.90_amd64.udeb
 c2a60fb84bebc3b51eb3d4b8c661ed8473688a0d1cd31669460a48c4cd4aa9da 285968 netcfg-static_1.90_amd64.udeb
Files: 
 e4437d60994894f29249409e3fc3e79e 1478 debian-installer optional netcfg_1.90.dsc
 cc49c44562b450fb4a905398d30e38ff 700115 debian-installer optional netcfg_1.90.tar.gz
 3b24271e6f0fc4553bbe16963e88a9c4 371994 debian-installer optional netcfg_1.90_amd64.udeb
 4ddab6d398ad6aa0999b223aa1632c9a 285968 debian-installer optional netcfg-static_1.90_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJQV17AAAoJEERuJUU10FbsP3kIAI3Osq4VChY84lLOagyiDNhO
0LYl/fUsg1fvTEwuns5wziS6o3wcDsXQbWgWE3FukEt0FSxRY2AVyByzTiesONJK
7H7CF93bVLKgc0dUWddVbnAPLkd42xaPXyz/5ZZkpKZdhLVQbB3zj9gY8Sijau7C
qiPUC2PdCQY4G2ntY9dg8cJu1LteWhUBzSW09uf7PtTozhNx77UdEBUZhR8gJvEu
luoxD+TuuNrLKrRwZrf5glxyr2xmMNtGY0MS+/1/RDu9Y9hChyV0RpxC7Qgh9VW+
qOtzCUlOwo6MlBsYdWT4yMfUsQTyvq14AmG6QKucuWd3Bjq6h5rCQNQRg96mbT8=
=NR7d
-----END PGP SIGNATURE-----




Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:34:50 GMT) Full text and rfc822 format available.

Removed tag(s) squeeze, sid, wheezy, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:22 GMT) Full text and rfc822 format available.

Marked as found in versions 0.01. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:41 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:25:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:42:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.